net.corda.core.node.services

## Interface StorageService

- All Superinterfaces:
    AttachmentsStorageService
  All Known Subinterfaces:
    TxWritableStorageService
  All Known Implementing Classes:
    StorageServiceImpl

      public StorageService
      extends AttachmentsStorageService

  A sketch of an interface to a simple key/value storage system. Intended for persistence of simple blobs like transactions, serialised flow state machines and so on. Again, this isn't intended to imply lack of SQL or anything like that, this interface is only big enough to support the prototyping work.

- - ### Method Summary

    All Methods Instance Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateMachineRecordedTransactionMappingStorage` | `getStateMachineRecordedTransactionMapping()`
    `java.util.List<net.corda.core.node.services.FileUploader>` | `getUploaders()` Deprecated.
    `ReadOnlyTransactionStorage` | `getValidatedTransactions()` A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures aren't technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.

    - ### Methods inherited from interface net.corda.core.node.services.AttachmentsStorageService

      `getAttachments`

- - ### Method Detail

    - #### getValidatedTransactions

          ReadOnlyTransactionStorage getValidatedTransactions()

      A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures aren't technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.

    - #### getUploaders

          java.util.List<net.corda.core.node.services.FileUploader> getUploaders()

      Deprecated.

    - #### getStateMachineRecordedTransactionMapping

          StateMachineRecordedTransactionMappingStorage getStateMachineRecordedTransactionMapping()